GLS ShipIT 5.0.17 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.NationalParcelData Class Reference

## Public Member Functions
String | getNationalParcelNumber ()
void | setNationalParcelNumber (String value)
String | getNationalBarcode ()
void | setNationalBarcode (String value)
String | getNationalHub ()
void | setNationalHub (String value)

## Protected Attributes
String | nationalParcelNumber
String | nationalBarcode
String | nationalHub

## Detailed Description

National Parcel Data

Java class for NationalParcelData complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="NationalParcelData">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="NationalParcelNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="NationalBarcode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
            <element name="NationalHub" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 40 of file NationalParcelData.java.

## Member Function Documentation

## ◆ getNationalBarcode()

String eu.gls_group.fpcs.v1.common.NationalParcelData.getNationalBarcode | ( |  | ) |

Gets the value of the nationalBarcode property.

Returns
  possible object is String

Definition at line 81 of file NationalParcelData.java.

## ◆ getNationalHub()

String eu.gls_group.fpcs.v1.common.NationalParcelData.getNationalHub | ( |  | ) |

Gets the value of the nationalHub property.

Returns
  possible object is String

Definition at line 105 of file NationalParcelData.java.

## ◆ getNationalParcelNumber()

String eu.gls_group.fpcs.v1.common.NationalParcelData.getNationalParcelNumber | ( |  | ) |

Gets the value of the nationalParcelNumber property.

Returns
  possible object is String

Definition at line 57 of file NationalParcelData.java.

## ◆ setNationalBarcode()

void eu.gls_group.fpcs.v1.common.NationalParcelData.setNationalBarcode | ( | String | value | ) |

Sets the value of the nationalBarcode property.

Parameters

  value | allowed object is String

Definition at line 93 of file NationalParcelData.java.

## ◆ setNationalHub()

void eu.gls_group.fpcs.v1.common.NationalParcelData.setNationalHub | ( | String | value | ) |

Sets the value of the nationalHub property.

Parameters

  value | allowed object is String

Definition at line 117 of file NationalParcelData.java.

## ◆ setNationalParcelNumber()

void eu.gls_group.fpcs.v1.common.NationalParcelData.setNationalParcelNumber | ( | String | value | ) |

Sets the value of the nationalParcelNumber property.

Parameters

  value | allowed object is String

Definition at line 69 of file NationalParcelData.java.

## Member Data Documentation

## ◆ nationalBarcode

String eu.gls_group.fpcs.v1.common.NationalParcelData.nationalBarcode
| protected

Definition at line 45 of file NationalParcelData.java.

## ◆ nationalHub

String eu.gls_group.fpcs.v1.common.NationalParcelData.nationalHub
| protected

Definition at line 47 of file NationalParcelData.java.

## ◆ nationalParcelNumber

String eu.gls_group.fpcs.v1.common.NationalParcelData.nationalParcelNumber
| protected

Definition at line 43 of file NationalParcelData.java.

The documentation for this class was generated from the following file:

- NationalParcelData.java